Create a quick payment link (no auth required)
POST
/quick-pay
Request Body required
application/jsonrecipient_address
string
REQUIRED
Ethereum address to receive payment
amount
string
Amount in token base units
token_address
string
Token contract address (default: USDC on Base)
chain_id
integer
Chain ID (default: 8453 Base)
name
string
description
string
expires_in
integer
TTL in milliseconds (default: 24h)
Responses
201
Payment link created
application/jsonobject
string
id
string
short_code
string
url
string
name
string
description
string | null
amount
string | null
Amount in token base units (e.g., 10 USDC = 10000000)
token_address
string
chain_id
integer
recipient_address
string
is_active
boolean
created_at
integer
Unix timestamp in milliseconds
429
Rate limit exceeded
curl -X POST 'https://platform-api.anyspend.com/api/v1/quick-pay' \ -H 'Content-Type: application/json' \ -d '{ "recipient_address": "string", "amount": "string", "token_address": "string", "chain_id": 0, "name": "string", "description": "string", "expires_in": 0}'
const response = await fetch('https://platform-api.anyspend.com/api/v1/quick-pay', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "recipient_address": "string", "amount": "string", "token_address": "string", "chain_id": 0, "name": "string", "description": "string", "expires_in": 0 })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://platform-api.anyspend.com/api/v1/quick-pay', json={ "recipient_address": "string", "amount": "string", "token_address": "string", "chain_id": 0, "name": "string", "description": "string", "expires_in": 0})print(response.json())
201
Response
{ "object": "<string>", "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "short_code": "abc12345", "url": "https://anyspend.com/pay/abc12345", "name": "Summer Sale", "description": "<string>", "amount": "10000000", "token_address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913", "chain_id": 8453, "recipient_address": "0x...", "is_active": true, "created_at": 123}
API Playground
Try this endpoint
POST
/quick-pay

